Manage Spam Filters
Get a specific spam filter by origin or ID
get
/api/spam-filters/{originOrId}Returns a specific spam filter identified by its origin label or UUID.
Parameters 2
originOrIdpathrequiredSpam filter origin or UUID
string
datasetqueryReferences Dataset
Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.
stringpattern
"^[a-zA-Z0-9_-]{3,26}$"bash
Sample request12curl --request GET 'https://api.eu-west-1.aws.dash0.com/api/spam-filters/123e4567-e89b-42d3-a456-426614174000' \--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}"
Responses
The requested spam filter
References SpamFilterResponse
anyOfOne or more variants2
The value must match at least one of these schemas.
v1alpha1 spam filter definition. Uses contexts (array) in the spec.
v1alpha2 spam filter definition. Uses context (scalar) in the spec.